Page MenuHomePhabricator

Expecting : in parser function definiton
Closed, ResolvedPublic

Description

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.05.07/parsoid?id=AWM7ifaXVAdyMbafkZqB&_g=h@44136fa

AssertionError: Expecting : in parser function definiton
    at Console.assert (console.js:95:23)
    at TemplateHandler.resolveTemplateTarget (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/wt2html/tt/TemplateHandler.js:511:14)
    at TemplateHandler.onTemplate (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/wt2html/tt/TemplateHandler.js:119:17)
    at AsyncTokenTransformManager.transformTokens (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/wt2html/TokenTransformManager.js:618:17)
    at AsyncTokenTransformManager.maybeSyncReturn (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/wt2html/TokenTransformManager.js:786:20)
    at /srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/wt2html/tt/TemplateHandler.js:94:4
    at ret.promises.then.then.ret (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/src/lib/wt2html/tt/AttributeExpander.js:76:12)
    at tryCatch1 (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/babybird/lib/promise.js:40:12)
    at promiseReactionJob (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/babybird/lib/promise.js:269:19)
    at PromiseReactionJobTask.call (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/babybird/lib/promise.js:284:3)
    at flush (/srv/deployment/parsoid/deploy-cache/revs/d8d7b424aa0f8fc5028099168e3646c2f131212e/node_modules/asap/raw.js:50:29)
    at _combinedTickCallback (internal/process/next_tick.js:73:7)
    at process._tickCallback (internal/process/next_tick.js:104:9)

Event Timeline

Arlolra triaged this task as Medium priority.May 7 2018, 9:05 PM

Change 432622 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] More fun with non-string template targets

https://gerrit.wikimedia.org/r/432622

Change 432622 merged by jenkins-bot:
[mediawiki/services/parsoid@master] More fun with non-string template targets

https://gerrit.wikimedia.org/r/432622

Vvjjkkii renamed this task from Expecting : in parser function definiton to 3fdaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Arlolra as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot lowered the priority of this task from High to Medium.Jul 3 2018, 3:28 AM